Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StringAlgorithm Class Reference
[Plugins]

`#include <StringAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::StringAlgorithm:

[legend]
Collaboration diagram for tlp::StringAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for String plug-ins.

## Public Member Functions

- virtual ~StringAlgorithm ()

## Public Attributes

- StringProperty * stringResult

## Protected Member Functions

- StringAlgorithm (const PropertyContext &context)

## Friends

- class StringProperty

## Constructor & Destructor Documentation

virtual tlp::StringAlgorithm::~StringAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::StringAlgorithm::StringAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class StringProperty `[friend]`

## Member Data Documentation

StringProperty* tlp::StringAlgorithm::stringResult

| This string is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2010